import React from "react";
import type { BannerDataType } from "../../data/banner";
import type { BannerType } from "../../typings/business";
type RenderBannerProps = {
    onPress?({ type, contractUrl, }: {
        type: BannerType;
        contractUrl: string;
    }): void;
    onClose?(): void;
    color?: any;
    data: BannerDataType;
    disabled?: boolean;
    event?: string;
    contractUrl?: string;
};
export declare const RenderBanner: React.ComponentType<RenderBannerProps>;
export {};
